﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek THS700x Set Bandwidth
INSTRUMENT:            Sub Tek THS700x Check Firmware Version
DATE:                  2010-10-19 10:08:33
AUTHOR:                Fluke
REVISION:              $Revision: 19178 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       97
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Model(s) Covered:
#        THS710A, THS720A, THS730A, THS720P
#
#  Compatibility:
#        MET/CAL 7.20 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SET_BANDWIDTH                PSUBI("Set Bandwidth")
  1.002  JMPL         CHECK_FIRMWARE_VERSION       PSUBI("Check Firmware")
  1.003  DISP         Subprocedure not found!
  1.004  END

  1.005  EVAL   Increment step number

# ******************************* Set Bandwidth **************************

  2.001  LABEL        SET_BANDWIDTH

  2.002  IF           FIND(@ModelNum, "730A", 1)
  2.003  MATH         @Bandwidth = 200E+6

  2.004  ELSEIF       FIND(@ModelNum, "720A", 1)
  2.005  MATH         @Bandwidth = 100E+6

  2.006  ELSEIF       FIND(@ModelNum, "720P", 1)
  2.007  MATH         @Bandwidth = 100E+6

  2.008  ELSEIF       FIND(@ModelNum, "710A", 1)
  2.009  MATH         @Bandwidth = 60E+6

  2.010  ELSE
  2.011  DISP         Unsupported model number: [V @ModelNum]
  2.012  ENDIF

  2.013  END

  2.014  EVAL   Increment step number

# ************************** Check Firmware Version ***********************

  3.001  LABEL        CHECK_FIRMWARE_VERSION
  3.002  MATH         VerNum = SUB(FLD(@FirmwareRev, 2, " "), 5, 4)
  3.003  MATH         @Abort = (VerNum < 1.13)

  3.004  IF           @Abort
  3.005  DISP         UUT Firmware Version: [V VerNum]
  3.005  DISP
  3.005  DISP         This procedure requires firmware version 1.13 or later.
  3.005  DISP
  3.005  DISP         Go to tektronix.com to obtain updated firmware.
  3.006  ENDIF

  3.007  END


